Bug 736449 - gnome-shell doesn't load quite anymore and no fallback
Summary: gnome-shell doesn't load quite anymore and no fallback
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 16
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 17:36 UTC by luigi votta
Modified: 2013-02-13 17:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 17:52:10 UTC


Attachments (Terms of Use)
dmesg drm.debug (668.52 KB, text/plain)
2011-09-07 17:36 UTC, luigi votta
no flags Details
xsession.errors (17.24 KB, text/plain)
2011-09-07 17:37 UTC, luigi votta
no flags Details

Description luigi votta 2011-09-07 17:36:08 UTC
Created attachment 521954 [details]
dmesg drm.debug

Description of problem:
The access to gnome session happens randomly: sometimes the gnome-shell loads normally, other times doesn't load, presenting a black screen with the message "Oh no, something has gone wrong!". 
My video card is GeForce FX 5200.    
Starting the system with drm.debug=14 log_buf_len=16M i found this line in two distinct dmesg:

In one:
[gnome-shell] segfault at a4 ip 419c7158 sp bfa8eac0 error 4 in libgdk-3.so.0.116.0[4199a000+81000]

In the other:
gnome-shell[1452]: segfault at 74656862 ip 41281034 sp bfbf25b0 error 4 in libgobject-2.0.so.0.2918.0[4124e000+4e000]

dmesg.txt & xsession.errors attached.  

How reproducible:
Happens randomly.

Greetings

Comment 1 luigi votta 2011-09-07 17:37:11 UTC
Created attachment 521955 [details]
xsession.errors

Comment 2 Matthias Clasen 2011-09-08 00:07:03 UTC
What versions of gnome-shell and gtk3 are involved ?

Comment 3 luigi votta 2011-09-08 08:43:33 UTC
It was with gnome-shell-3.1.4-2.gite7b9933.fc16.i686
and gtk3-3.1.16-1.fc16.i686. Updated today to g.s. 3.1.90.1-2.fc16.i686.

Comment 4 luigi votta 2011-09-08 14:09:01 UTC
After today update I had this one, 
https://bugzilla.redhat.com/show_bug.cgi?id=702257#c20

anyway, a step forward into the solution respect to the days before when gnome-shell was more borderline.

Comment 5 Fedora End Of Life 2013-01-16 15:22:05 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora End Of Life 2013-02-13 17:52:33 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.